<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>Statistics (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Statistics (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.util.math</a></div>
<h2 title="Class Statistics" class="title">Class Statistics</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.util.math.Statistics</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Statistics</span>
extends java.lang.Object</pre>
<div class="block">Helper class providing functions for statistical calculations.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Statistics</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#empiricalExpectedValue(double%5B%5D)">empiricalExpectedValue</a></span>&#8203;(double[]&nbsp;values)</code></th>
<td class="colLast">
<div class="block">Calculates the empirical expected value ("mean") for an array of values (based on arithmetic mean).</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#empiricalExpectedValueAndVarianceSparse(int,double%5B%5D)">empiricalExpectedValueAndVarianceSparse</a></span>&#8203;(int&nbsp;totalNumberOfExperiments,
                                       double[]&nbsp;observationsDifferentFromZero)</code></th>
<td class="colLast">
<div class="block">Calculates empirical expected value and variance.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#empiricalExpectedValueSparse(int,double%5B%5D)">empiricalExpectedValueSparse</a></span>&#8203;(int&nbsp;totalNumberOfObservations,
                            double[]&nbsp;observationsDifferentFromZero)</code></th>
<td class="colLast">
<div class="block">Calculates the empirical expected value ("mean") for an array of values (based on arithmetic mean.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#empiricalVariance(double%5B%5D)">empiricalVariance</a></span>&#8203;(double[]&nbsp;values)</code></th>
<td class="colLast">
<div class="block">Calculates the empirical variance/sample variance using Bessel's correction.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#empiricalVarianceSparse(int,double%5B%5D)">empiricalVarianceSparse</a></span>&#8203;(int&nbsp;totalNumberOfObservations,
                       double[]&nbsp;observationsDifferentFromZero)</code></th>
<td class="colLast">
<div class="block">Calculates the empirical variance/sample variance using Bessel's correction.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Statistics</h4>
<pre>public&nbsp;Statistics()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="empiricalExpectedValue(double[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>empiricalExpectedValue</h4>
<pre class="methodSignature">public static&nbsp;double&nbsp;empiricalExpectedValue&#8203;(double[]&nbsp;values)</pre>
<div class="block">Calculates the empirical expected value ("mean") for an array of values (based on arithmetic mean).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>values</code> - the values</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the empirical expected value; 0 if input array has length 0</dd>
</dl>
</li>
</ul>
<a id="empiricalVariance(double[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>empiricalVariance</h4>
<pre class="methodSignature">public static&nbsp;double&nbsp;empiricalVariance&#8203;(double[]&nbsp;values)</pre>
<div class="block">Calculates the empirical variance/sample variance using Bessel's correction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>values</code> - the values</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>empirical variance</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://en.wikipedia.org/wiki/Variance#Sample_variance">Sample Variance</a></dd>
</dl>
</li>
</ul>
<a id="empiricalExpectedValueSparse(int,double[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>empiricalExpectedValueSparse</h4>
<pre class="methodSignature">public static&nbsp;double&nbsp;empiricalExpectedValueSparse&#8203;(int&nbsp;totalNumberOfObservations,
                                                  double[]&nbsp;observationsDifferentFromZero)</pre>
<div class="block">Calculates the empirical expected value ("mean") for an array of values (based on arithmetic mean.
 Does not need all observations but only those different from zero.
 This implies the necessity to specify the total number of observations including all zeros.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>totalNumberOfObservations</code> - number of observations including observed zero-values</dd>
<dd><code>observationsDifferentFromZero</code> - an array of all observation-values different from zero</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the empirical expected value; 0 if input array has length 0</dd>
</dl>
</li>
</ul>
<a id="empiricalVarianceSparse(int,double[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>empiricalVarianceSparse</h4>
<pre class="methodSignature">public static&nbsp;double&nbsp;empiricalVarianceSparse&#8203;(int&nbsp;totalNumberOfObservations,
                                             double[]&nbsp;observationsDifferentFromZero)</pre>
<div class="block">Calculates the empirical variance/sample variance using Bessel's correction.
 Does not need all observations but only those different from zero.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>totalNumberOfObservations</code> - number of observations including observed zero-values</dd>
<dd><code>observationsDifferentFromZero</code> - an array of all observation-values different from zero</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>empirical variance</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://en.wikipedia.org/wiki/Variance#Sample_variance">Sample Variance</a></dd>
</dl>
</li>
</ul>
<a id="empiricalExpectedValueAndVarianceSparse(int,double[])">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>empiricalExpectedValueAndVarianceSparse</h4>
<pre class="methodSignature">public static&nbsp;double[]&nbsp;empiricalExpectedValueAndVarianceSparse&#8203;(int&nbsp;totalNumberOfExperiments,
                                                               double[]&nbsp;observationsDifferentFromZero)</pre>
<div class="block">Calculates empirical expected value and variance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>totalNumberOfExperiments</code> - number of observations including observed zero-values</dd>
<dd><code>observationsDifferentFromZero</code> - an array of all observation-values different from zero</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array of length 2 where the first value is the empirical expected value and the second one the variance</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="#empiricalExpectedValueSparse(int,double%5B%5D)"><code>empiricalExpectedValueSparse(int, double[])</code></a>, 
<a href="#empiricalVarianceSparse(int,double%5B%5D)"><code>empiricalVarianceSparse(int, double[])</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
